import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class cartables extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.BIGINT,
      allowNull: true,
      primaryKey: true
    },
    CartableTypeID: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    ItemTypeID: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    UserID: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    PositionID: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    Title: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    Unread: {
      type: DataTypes.TINYINT,
      allowNull: true
    },
    Time: {
      type: DataTypes.DATE,
      allowNull: true
    },
    WorkflowID: {
      type: DataTypes.BIGINT,
      allowNull: true
    },
    Active: {
      type: DataTypes.TINYINT,
      allowNull: true
    },
    HasStar: {
      type: DataTypes.TINYINT,
      allowNull: true
    },
    FirstReadDate: {
      type: DataTypes.DATE,
      allowNull: true
    },
    ExpirationDate: {
      type: DataTypes.DATE,
      allowNull: true
    },
    TaskStatus: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    RelatedRowId: {
      type: DataTypes.BIGINT,
      allowNull: true
    },
    RelatedTableName: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Text: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    Conditions: {
      type: DataTypes.TEXT,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'cartables',
    timestamps: false
  });
  return cartables;
  }
}
