import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class menus extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    Order: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: true
    },
    Title: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Controller: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Action: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Parameters: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    ParentId: {
      type: DataTypes.INTEGER,
      allowNull: true
    },
    IconClass: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    InsertDateTime: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: Sequelize.fn('current_timestamp')
    },
    UpdateDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    DeleteDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    Status: {
      type: DataTypes.TINYINT,
      allowNull: false,
      defaultValue: 1
    },
    Comment: {
      type: DataTypes.TEXT,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'menus',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return menus;
  }
}
