import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class roles extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true
    },
    Name: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    Title: {
      type: DataTypes.STRING(50),
      allowNull: true
    },
    InsertDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    UpdateDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    DeleteDateTime: {
      type: DataTypes.DATE,
      allowNull: true
    },
    Status: {
      type: DataTypes.TINYINT,
      allowNull: false
    },
    Comment: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    MaxRequestsPerMinute: {
      type: DataTypes.INTEGER,
      allowNull: true,
      defaultValue: 100
    },
    MaxRequestsPerHour: {
      type: DataTypes.INTEGER,
      allowNull: true,
      defaultValue: 1000
    },
    MaxRequestsPerDay: {
      type: DataTypes.INTEGER,
      allowNull: true,
      defaultValue: 5000
    }
  }, {
    sequelize,
    tableName: 'roles',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return roles;
  }
}
